import 'package:cs_resources/generated/assets.dart';
import 'package:domain/entity/home_module.dart';
import 'package:plugin_basic/basic_export.dart';

class ReportListState {
  //当前显示的模块
  List<HomeModule> datas = [];

  //全部的模块
  final List<HomeModule> modules = [
    HomeModule(key: 'labour', moduleName: 'Labour Request'.tr, moduleIconPath: Assets.cptReportUkReportLabour, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'outlet', moduleName: 'Outlet Request'.tr, moduleIconPath: Assets.cptReportUkReportOutlet, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'finale', moduleName: 'Finance Report'.tr, moduleIconPath: Assets.cptReportUkReportFinale, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'hours', moduleName: 'Working Hours'.tr, moduleIconPath: Assets.cptReportUkReportWorkHours, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'attendance', moduleName: 'E-Attendance'.tr, moduleIconPath: Assets.cptReportUkReportAttendance, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'payout', moduleName: 'Casual Payout'.tr, moduleIconPath: Assets.cptReportUkReportCasualPayout, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'casual', moduleName: 'Casual Report'.tr, moduleIconPath: Assets.cptReportUkReportCasual, iconWidth: 40, iconHeight: 40),
  ];

}
